CVE-2018-17407

Priority
Description
An issue was discovered in t1_check_unusual_charstring functions in
writet1.c files in TeX Live before 2018-09-21. A buffer overflow in the
handling of Type 1 fonts allows arbitrary code execution when a malicious
font is loaded by one of the vulnerable tools: pdflatex, pdftex, dvips, or
luatex.
Package
Upstream:released (2018.20180907.48586-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (2013.20130729.30972-2ubuntu0.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (2015.20160222.37495-1ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (2017.20170613.44572-8ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (2018.20180824.48463-1ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):released (2018.20180824.48463-1ubuntu0.1)
More Information

Updated: 2018-11-13 19:14:50 UTC (commit f578bfedba4fed5badb18b7ef9f0feaeb13154c3)